Bug 732522 - error if you schedule an errata install on a consumer that is offline and opt to not wait
Summary: error if you schedule an errata install on a consumer that is offline and opt...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: z_other
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: Sprint 27
Assignee: Jeff Ortel
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-22 19:23 UTC by Preethi Thomas
Modified: 2012-02-24 20:13 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-24 20:13:32 UTC


Attachments (Terms of Use)

Description Preethi Thomas 2011-08-22 19:23:22 UTC
Description of problem:
If the client you are trying to install the errata on is offline you get the following message
Unavailable Consumers
------------------------------
pulp-client

Continue? [y/n]:

If you choose n the you get a Name error.



[root@preethi ~]# pulp-admin -u admin -p admin errata install --consumerid=pulp-client -e FEDORA-2011-7781

The following consumers appear to be unavailable.
You may continue with the understanding that your request
will not complete until all consumers have processed the request
or the request has timed out.

Unavailable Consumers
------------------------------
pulp-client

Continue? [y/n]:n
Traceback (most recent call last):
  File "/usr/bin/pulp-admin", line 23, in <module>
    admin.main()
  File "/usr/lib/python2.7/site-packages/pulp/client/lib/cli.py", line 152, in main
    command.main(self.args[1:])
  File "/usr/lib/python2.7/site-packages/pulp/client/pluginlib/command.py", line 129, in main
    action.main(args[1:])
  File "/usr/lib/python2.7/site-packages/pulp/client/pluginlib/command.py", line 211, in main
    self.run()
  File "/usr/lib/python2.7/site-packages/pulp/client/admin/plugins/errata.py", line 168, in run
    self.on_consumer(consumerid, errataids, assumeyes=assumeyes)
  File "/usr/lib/python2.7/site-packages/pulp/client/admin/plugins/errata.py", line 174, in on_consumer
    wait = self.getwait([id,])
  File "/usr/lib/python2.7/site-packages/pulp/client/admin/plugins/errata.py", line 260, in getwait
    system_exit(0)
NameError: global name 'system_exit' is not defined

Comment 1 Jeff Ortel 2011-08-25 17:14:01 UTC
Fixed.

Comment 2 Jeff Ortel 2011-08-26 20:09:33 UTC
build: 0.228

Comment 3 Preethi Thomas 2011-08-31 14:23:43 UTC
verified
[root@preethi ~]# rpm -q pulp
pulp-0.0.228-1.fc15.noarch

[root@preethi ~]# pulp-admin -u admin -p admin errata install  -e FEDORA-2011-6605 --consumerid=pulp-client 

The following consumers appear to be unavailable.
You may continue with the understanding that your request
will not complete until all consumers have processed the request
or the request has timed out.

Unavailable Consumers
------------------------------
pulp-client

Continue? [y/n]:n
[root@preethi ~]#

Comment 4 Preethi Thomas 2012-02-24 20:13:32 UTC
Pulp v1.0 is released
Closed Current Release.


Note You need to log in before you can comment on or make changes to this bug.